> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/number-name-update.md).

# Number Name Update

This event is triggered when the submitted sender name changes: whatsapp\_phone\_number\_name\_update

| Field                            | Data type | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| -------------------------------- | --------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| wabaId                           | String    | Yes      | WabaId                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| displayPhoneNumber               | String    | Yes      | sender number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| decision                         | String    | Yes      | Indicates the result of the verification process for the business phone number display name.**APPROVED**：  Indicates that the display name has been approved and will now appear at the top of the business phone number profile in the WhatsApp client.**DEFERRED**：  Indicates that the decision has been deferred.**PENDING**：  Indicates that the decision is still pending further review.**REJECTED**：  Indicates that the display name has been rejected. You can edit the name using WhatsApp Manager. Before editing, please review our display name guidelines.                                                                                                                                                                                                                                                                      |
| <p>requestedVerifiedName<br></p> | String    | Yes      | The business phone number display name collected when the number was created, or the name submitted when editing an approved display name                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| rejectionReason                  | String    | Yes      | If the company phone number display name is rejected, state the reason. Please review our display name guidelines for common rejection reasons. Optional values:**NAME\_EMPLOYEE\_ISSUE**：  Rejected because the display name tends to be a personal name or employee identifier.**NAME\_ENDCLIENT\_NOTRELATED**:   Rejected because the display name tends to be an unrelated business name.**NAME\_FORMAT\_UNACCEPTABLE**: Rejected because the display name uses an unacceptable format.**NAME\_INDIVIDUAL\_ISSUE**:  Rejected because the display name tends to be a personal name or employee identifier.— NAME\_NOT\_CONSISTENT Rejected because the display name is inconsistent with the business brand.**null**:  Indicates the name has been accepted.**UNKNOWN**:   Rejected for an unknown reason. Please contact customer service |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "whatsapp_phone_number_name_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
<strong>        "decision": "REJECTED",
</strong>        "requestedVerifiedName": "zhangsan",
<strong>        "rejectionReason": "NAME_EMPLOYEE_ISSUE",
</strong>        "displayPhoneNumber": "108672***726376",
        "wabaId": "110129****080569"
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/number-name-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
